linux: 3.19.0-18.18 -proposed tracker

Bug #1456732 reported by Luis Henriques on 2015-05-19
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Ubuntu Stable Release Updates Team
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Canonical Kernel Team
linux (Ubuntu)
Undecided
Unassigned
Vivid
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-18.18 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 19. May 2015 17:41 UTC
kernel-stable-Prepare-package-end:Wednesday, 20. May 2015 03:56 UTC
kernel-stable-Promote-to-proposed-start:Wednesday, 20. May 2015 03:56 UTC
kernel-stable-Promote-to-proposed-end:Wednesday, 20. May 2015 03:59 UTC
kernel-stable-Verification-testing-start:Wednesday, 20. May 2015 05:00 UTC
kernel-stable-Certification-testing-start:Wednesday, 20. May 2015 05:00 UTC
kernel-stable-Security-signoff-start:Wednesday, 20. May 2015 05:00 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Wednesday, 20. May 2015 05:00 UTC
kernel-stable-Security-signoff-end:Wednesday, 20. May 2015 11:00 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 20. May 2015 22:09 UTC
kernel-stable-Certification-testing-end:Wednesday, 20. May 2015 22:09 UTC
kernel-stable-Regression-testing-end:Wednesday, 20. May 2015 22:09 UTC
kernel-stable-Promote-to-updates-end:Thursday, 21. May 2015 01:00 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 21. May 2015 02:00 UTC

Luis Henriques (henrix) on 2015-05-19
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-vivid
tags: added: vivid
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Vivid):
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Vivid):
status: New → Confirmed
Adam Conrad (adconrad) on 2015-05-19
Changed in linux (Ubuntu):
status: Invalid → New

All builds are complete, packages in this bug can be copied to -proposed.

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-vivid (14.04.1) - bug 1456862

description: updated
description: updated
Brad Figg (brad-figg) on 2015-05-20
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (18.1 KiB)

This bug was fixed in the package linux - 3.19.0-18.18

---------------
linux (3.19.0-18.18) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1456732

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: remove intel_pipe_set_base() (v4)"
    - LP: #1453593

linux (3.19.0-17.17) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1452000

  [ Damien Lespiau ]

  * SAUCE: i915_bpo: drm/i915/skl: Fix stepping check for a couple of W/As
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Implement WaDisableVFUnitClockGating
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Add the INIT power domain to the MISC
    I/O power well
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Fix the CTRL typo in the DPLL_CRTL1
    defines
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Make the Misc I/O power well part of the
    PLLS domain
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Deinit/init the display at
    suspend/resume
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Change CDCLK behind PCU's back
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: gen6+ platforms support runtime PM
    - LP: #1449469

  [ Imre Deak ]

  * SAUCE: i915_bpo: drm/i915/gen9: fix PIPE_CONTROL flush for
    VS_INVALIDATE
    - LP: #1449469

  [ Leann Ogasawara ]

  * [Config] Set CONFIG_XEN_MAX_DOMAIN_MEMORY defaults

  [ Matt Roper ]

  * SAUCE: i915_bpo: drm/i915: Switch to full atomic helpers for plane
    updates/disable, take two
    - LP: #1449469

  [ Sonika Jindal ]

  * SAUCE: i915_bpo: drm/i915/skl: Allow universal planes to position
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Support for 90/270 rotation
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Add back HDMI translation table
    - LP: #1449469

  [ Stefan Bader ]

  * SAUCE: vesafb: Set mtrr:3 (write-combining) as default
    - LP: #1434581

  [ Timo Aaltonen ]

  * SAUCE: Call i915_bpo specific functions from the hda driver
    - LP: #1449464
  * SAUCE: i915_bpo: Use get_display_clock_speed
    - LP: #1449469
  * SAUCE: i915_bpo: Add a few register definitions
    - LP: #1449469

  [ Upstream Kernel Changes ]

  * Revert "sparc/PCI: Clip bridge windows to fit in upstream windows"
    - LP: #1446316
  * Revert "PM / hibernate: avoid unsafe pages in e820 reserved regions"
    - LP: #1446316
  * Revert "libceph: use memalloc flags for net IO"
    - LP: #1446316
  * Revert "net: Reset secmark when scrubbing packet"
    - LP: #1451996
  * ASoC: da732x: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: ak4671: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: sn95031: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: sgtl5000: remove useless register write clearing CHRGPUMP_POWERUP
    - LP: #1446316
  * ASoC: pcm1681: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: cs4271: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: es8238: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: wm8960: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: tas5086: Fix wrong value references for boolean kctl
    - ...

Changed in linux (Ubuntu):
status: New → Fix Released
John Johansen (jjohansen) wrote :

No CVEs

Brad Figg (brad-figg) on 2015-05-20
description: updated
Brad Figg (brad-figg) on 2015-05-20
tags: added: qa-testing-passed
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (18.1 KiB)

This bug was fixed in the package linux - 3.19.0-18.18

---------------
linux (3.19.0-18.18) vivid; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1456732

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: remove intel_pipe_set_base() (v4)"
    - LP: #1453593

linux (3.19.0-17.17) vivid; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #1452000

  [ Damien Lespiau ]

  * SAUCE: i915_bpo: drm/i915/skl: Fix stepping check for a couple of W/As
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Implement WaDisableVFUnitClockGating
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Add the INIT power domain to the MISC
    I/O power well
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Fix the CTRL typo in the DPLL_CRTL1
    defines
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Make the Misc I/O power well part of the
    PLLS domain
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Deinit/init the display at
    suspend/resume
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Change CDCLK behind PCU's back
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: gen6+ platforms support runtime PM
    - LP: #1449469

  [ Imre Deak ]

  * SAUCE: i915_bpo: drm/i915/gen9: fix PIPE_CONTROL flush for
    VS_INVALIDATE
    - LP: #1449469

  [ Leann Ogasawara ]

  * [Config] Set CONFIG_XEN_MAX_DOMAIN_MEMORY defaults

  [ Matt Roper ]

  * SAUCE: i915_bpo: drm/i915: Switch to full atomic helpers for plane
    updates/disable, take two
    - LP: #1449469

  [ Sonika Jindal ]

  * SAUCE: i915_bpo: drm/i915/skl: Allow universal planes to position
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Support for 90/270 rotation
    - LP: #1449469
  * SAUCE: i915_bpo: drm/i915/skl: Add back HDMI translation table
    - LP: #1449469

  [ Stefan Bader ]

  * SAUCE: vesafb: Set mtrr:3 (write-combining) as default
    - LP: #1434581

  [ Timo Aaltonen ]

  * SAUCE: Call i915_bpo specific functions from the hda driver
    - LP: #1449464
  * SAUCE: i915_bpo: Use get_display_clock_speed
    - LP: #1449469
  * SAUCE: i915_bpo: Add a few register definitions
    - LP: #1449469

  [ Upstream Kernel Changes ]

  * Revert "sparc/PCI: Clip bridge windows to fit in upstream windows"
    - LP: #1446316
  * Revert "PM / hibernate: avoid unsafe pages in e820 reserved regions"
    - LP: #1446316
  * Revert "libceph: use memalloc flags for net IO"
    - LP: #1446316
  * Revert "net: Reset secmark when scrubbing packet"
    - LP: #1451996
  * ASoC: da732x: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: ak4671: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: sn95031: Fix control-less DAPM routes
    - LP: #1446316
  * ASoC: sgtl5000: remove useless register write clearing CHRGPUMP_POWERUP
    - LP: #1446316
  * ASoC: pcm1681: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: cs4271: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: es8238: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: wm8960: Fix wrong value references for boolean kctl
    - LP: #1446316
  * ASoC: tas5086: Fix wrong value references for boolean kctl
    - ...

Changed in linux (Ubuntu Vivid):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2015-05-21
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers